0

Met Cal Versions

What version of Met/Cal can you install on windows 7 and windows xp?

 

3 comments

Date Votes
0
Avatar
Joni Dandenault

From what I was told version 7.3 and higher will work on Windows 7 / Windows XP and versions 7.2 and lower are unstable in the Windows 7 environment. 

0
Avatar
Patrick Butler

Version 7.3SP1 to 8.1 will run on both Windows 7 and XP. Anything higher won't run on XP. Anything lower won't run on Windows 7.

0
Avatar
andrey zuykov

version 7.3 can be installed in both versions of the operating systems. It is most stable.
Version 8.3 may be set to 7, the previous versions of operating systems, it does not support

Please sign in to leave a comment.